<template>
    <select v-model="modelValue" @change="changeOption">
        <option disabled value="">Choose an option from the list</option>
        <option 
            v-for="option in options"
            :key="options.value"
            :value="option.value">
                {{option.name}}
        </option>
    </select>
</template>

<script>
    export default {
        name: 'my-select',
        emits: ['update:modelValue'],
        props: {
            options: {
                type: Array,
                default: () => []
            },
            modelValue: String
        },
        methods: {
            changeOption(event) {
                this.$emit('update:modelValue', event.target.value)
            }
        }
    }
</script>

<style scoped>

</style>